package be.iminds.ilabt.jfed.lowlevel.resourceid;

import javax.annotation.Nonnull;

/**
 * UrnResource
 * <p/>
 * example urn's:
 * user urn:  urn:publicid:IDN+<AUTH>+user+<userName>
 * slice urn: urn:publicid:IDN+<AUTH>+slice+<SLICENAME>
 */
public class ResourceUrn implements ResourceId {
    @Nonnull
    protected String value;

    public ResourceUrn(@Nonnull String value) {
        this.value = value;
    }

    public String getType() {
        return "urn";
    }

    @Nonnull
    public String getValue() {
        return value;
    }

    @Override
    public String toString() {
        return value;
    }
}
